About SPac
Return to Introduction
SPac is an easy to use, secure, and powerful application for file encryption and sharing. SPac combines both compression and encryption into the one product and utilizes a user-friendly interface to make manipulating your secure archives simple.

In addition to compression and encryption SPac has a unique, we think, feature that makes it simple to protect and share sensitive files. Any SPac package can be converted into a self-extracting archive with a difference. The difference with SPac over similar tools is that the recipient of your package can add, delete, and modify files in the package as well as simply extracting them. This is achieved by embedding a cut-down version of SPac in the package.

This means that your sensitive files need never exist permanently on disk, while still allowing trusted friends and associates the ability to modify them. Once the user has supplied the required password, they can modify the files simply by double-clicking on them, the changes will then be encrypted and stored back in the archive, and the working file will be wiped from disk.

SPac was developed and compiled outside of the USA, has no back doors or escrow keys, and is not subject to US export restrictions. Files are encrypted using the very strong BlowFish (448-bit key) algorithm, and high compression keeps the filesize down.

© 1995-2013 MCN Software


License Agreement
Please read the following terms and conditions carefully before using this software. Your use of this software indicates your acceptance of this license agreement. If you do not agree with the terms of this license, you must remove this software from your storage devices and cease to use the product.

Copyright

This software is copyright 2013, MCN Software Ltd. SPac is a trademark of MCN Software Ltd. The use and copyright of this software is governed by international copyright treaties. MCN Software Ltd retains full title and rights to this software and documentation and in no way does the license granted in any way diminish the intellectual property rights of MCN Software Ltd. You must not redistribute the registration codes provided, either on paper, electronically, or in any other form.

Evaluation Version

This is not free software. You are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. Using this software after the evaluation period is in violation of copyright laws and may result in severe civil and criminal penalties.

Registered Version

One registered copy of this software may be used by a single person who uses the software personally on one or more computers, or it may be installed on a single workstation used non- simultaneously by more than one person, but not both.

Disclaimer

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL TAMOSOFT INC. BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING INCIDENTAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS.

Governing Law

This Agreement will be governed by the laws of the Scotland.

Distribution

This software may be distributed freely in its original unmodified and unregistered form. The distribution has to include all files of its original distribution. Distributors may not charge any money for it. Anyone distributing this software for any kind of remuneration must first contact us for authorization.

Other Restrictions
You may not modify, reverse engineer, decompile or disassemble this software in any way, including changing or removing any messages or windows.


Overview
It is good to know what encrypted packages are before creating them. The files on your disks or the files that you send by e-mail normally have no protection from unauthorized access. They can be opened by whoever gets hold of them. If you use SPac to put your files into encrypted packages, the only way to view your files is to enter the correct password. There are no backdoors in the product so, even if you forget your own password, the information contained in the package cannot be recovered.

The program consists of the main window where the files and folders are displayed, the menu, and the toolbar for performing standard operations.

The color indicator in the right corner of the status bar shows the current status of the program. Normally it is green, but turns red when SPac is busy. In addition, since SPac can also be used as a simple file compressor, secure (encrypted) archives are indicated by the presence of a padlock icon.

main

Files can be easily added to the package by clicking on the Add button, and the password used for encryption can be set or cleared using the Password button. In addition, the following functions are available through the menu and toolbar:

File Menu

The options on this menu relate to packages.

New Prompts for a name and creates a new package

Open Prompts to select an existing package and opens it (after password verification)

Close Closes the current package

Properties Displays information about the package, including optional password hint

Move Package Prompts for a folder and moves the current package to the new folder

Copy Package Prompts for a folder and copies the current package to the new folder

Rename Package Prompts for a new name and renames the current package

Delete Package Deletes the current package from disk

Make .Exe File Converts the current package into a Self-extracting Package

Mail to Sends the current package to another user via E-Mail

Exit Shuts down SPac

Action Menu

The options in this menu relate to the manipulation of files contained in the package.

Add Displays the Add Files dialog box to allow adding or refreshing of files

Delete Deletes the currently selected files from the package

Extract Displays the Extract Files dialog box to allow extraction of files from the package

View Allows the currently selected file to be extracted for Viewing/Modifying

Select All Selects all files

Invert Selection Inverts the current selection

Comments Allows the addition of comments to the package

File Properties Displays the properties of the currently selected file.

Options Menu

This menu gives access to configuration options.

Configuration Gives access to the Options dialog box

Password Allows the setting or modification of the password used for the current package

Sort Changes the sort order used for the listed files

View Last Output Allows access to the report generated for the last major actions

Right-clicking in the programs main window displays a context menu with access to relevant functions from the main menu.


Creating SPac Packages
To create a new SPac package, select File/New from the main menu and either select an existing package or type in the name of a new one. If an existing package is selected, you will be prompted before the existing one is overwritten with the new one.

Once you have created your new package, you can add files by selecting Action/Add from the main menu. You will be prompted with the Add Files dialog box to allow you to make your selection and define what to do with the files once they have been added.

At this point, the package will not be encrypted (unless you specified Prompt for new password for new packages in the Options). To securely encrypt the package, select Option/Password from the main menu to display the password definition dialog box.

Note that the password can be changed at any point, and the entire package re-encrypted, simply by selecting Options/Password from the main menu.

You can also add comments to the package by selecting Action/Comments from the main menu. This allows you to describe the contents of the package to other users or explain how to use them.


Creating Self-extracting SPac Packages
Self-extracting packages give you the ability to redistribute the contents of your packages without the recipient having to own SPac. Uniquely, SPac allows the recipient to modify the contents of the package and add additional files as well as allowing simple extraction of selected files. Most other similar tools simply force the recipient to extract all the files in the package.

This ability, as well as secure encryption, makes it easy to keep sensitive files secure while allowing trusted associates the ability to modify and return the files without having to own the full version of SPac.

To create a self-extracting package, open an existing package and select File/Make .Exe File from the main menu. If a file with the same name exists you will be prompted before it is overwritten, and SPac will then create the self-extracting package. The new package will have the same name as the one it was created from, but will have a .exe extension.

Note that the self-extracting package will be about 400K bigger than the package it was based on. This is the overhead added to allow modification of the distributed package. It sounds a lot, but we think the overhead is worth it for the added functionality.


Extracting from Packages
To extract files from an SPac package, open the package and enter a valid password (if requested). Select the files you want to extract and select Action/Extract from the main menu. This will display the Extract Files dialog box to allow you to specify the destination for the files and how you want to extract them.


Viewing/Modifying Files
Occasionally you may want to View or Modify a file in the package, either using the associated application, with a specifc application, or using the built-in (text only) viewer. This is easily done using SPac: simply select the file you want to view and select Action/View from the main menu. This displays the following dialog box:

View

To extract and view the file using its associated application, select Associated application and press the View button.

To extract and view the file using the internal viewer, select Internal ASCII text viewer and press the View button. Note that this is only appropriate for ASCII text files. Other files can be viewed, but what appears in the editor may not be useful.

If you want to open the file with a specific application, select Viewer and choose the application from the history list, or use the button with the ellipsis (...) to select another application. When you press the View button, the file will be extracted and opened by the specified application.

In all cases, the extracted file will be wiped from local storage when the application that opened it is shut down. This maintains the security of the file by making sure that local copies of it are not left lying around on disk.

If you modified the file while it was open, you will be prompted to update the archived version of the file before the on-disk copy is deleted. This is useful for maintaining files that you want to protect. This feature is also included in the self-extracting package, making SPac a secure way of maintaining sensitive files while working as a group.

Simply double-clicking on the file will bypass this dialog box and open the file with the associated application.


Sending Packages by E-Mail
If you have E-Mail facilities on your computer, you can send a package to another user via E-Mail. To do this, open the package in SPac and select File/Send to from the main menu. This will display the following dialog box:

Mail

Enter the E-Mail address and Display Name for the user you want to mail the package to, and enter the message. If you want to attach other files to the E-Mail, click on Add. When you press OK, the email, with attached files, will be sent to your outbox.


Password Management
SPac has the ability to maintain a record of the passwords used to encrypt and decrypt your packages. This allows packages encrypted with any of the maintained passwords to be opened without you being prompted for a password.

WARNING - although the passwords are maintained in a securely encrypted file, anyone with access to your machine will be able to open packages protected with any of these passwords.

The passwords are maintained in a file that is encrypted using machine specific information so that the password file cannot be used on other machines.

To maintain your list of passwords, select Options/Configuration/Passwords from the main menu. The following dialog will be displayed:

passwords

To delete an existing password from the list, press Delete. To add a new password record, press the Add button. To modify an existing password record, select the password and press Modify. When adding a new password, or modifying an existing password, the following box is displayed:

modpassword

The Hint field allows you to specify some text that the recipient of the package can see to give them a clue when entering the password when they open the package. If you leave the hint blank, the Hint button will be disabled when the recipient enters the password.


Add Files Dialog
When adding files using the Action/Add menu selection, the following dialog box is displayed:

add

You can select the files you want to add in several ways:

· Click on the desired files in the list near the top of the Add dialog box. You can select multiple files using normal Windows file selection conventions (for example, hold down the Shift key while clicking to select multiple files). Then press the Add button.

· Type the name(s) of the files you want to add. If you specify multiple filenames, each filename must be enclosed in double quotes. Then press the Add button.

· To add files with wildcards (for example, "*.doc" to add all files with an extension of .doc), type the filename with wildcards in the File name edit field, then press the Add with wildcards button. Standard wildcards are accepted.

Options

Action

The Action drop down list provides four choices: Add, Freshen, Move, and Update.

The Add option causes SPac to add all specified files to the package.
The Freshen option causes SPac to update files already in the package that match the specified files.
The Update option is the same as Freshen, but adds any specified files that are not already in the archive.
The Move option works the same as Add, except that once the specified files have been added to the archive they are wiped from disk.

Include subfolders

The Include subfolders check box determines whether SPac traverses all folders underneath the specified folder when looking for files to add. This provides an easy way to backup all files underneath the folder containing the specified file.

Save extra folder info

The Save extra folder info causes SPac to store any folder path information specified in the Add files edit field.

Password

The Password button allows you to change the password used to encrypt the package. Please be sure to read the information in the section titled Choosing a Password before using passwords. If you specify a new password for the package the entire package, including the files being added, will be encrypted with the new password.

Add with wildcards

The Add with wildcards button adds the files specified in the File name field. (In Windows "wildcards" are the asterisk and question mark characters. These let you specify multiple files at once, for example, "*.Txt" refers to all files with a file type of "Txt".)

When you press the Add, or Add with wildcards, button the specified files will be added to the package based on your settings for the above fields.


Extract Files Dialog
This dialog box is displayed when extracting files from a package. To display this dailog box, select Action/Extract from the main menu:

extract

SPac extracts files from the package to the folder specified in the Extract to field. You can specify this folder in one of four ways:

· Select a folder and drive in the Folders/Drives list.
· Type a folder name in the Extract to field.
· Pull down the Extract to combo box and select a folder from the list of previous Extract to folders.
· Press the New folder... button and create a folder.

Options

Selected files

The Selected files option button instructs SPac to extract only files that are selected in the main SPac window. You can use conventional file selection methods to choose files.

All files

The All files option button instructs SPac to extract all files from the package.

Files

The Files option button and edit field allow you to specify which files are extracted using filenames (standard Windows wildcards are accepted, so you could use "*.xls" to extract all .xls files)

Overwrite existing files

The Overwrite existing files check box determines whether you are prompted before existing files are overwritten with files from the package. If this option is checked, files will be overwritten without a prompt.

Skip older files

The Skip older files check box determines whether SPac skips (does not extract) existing files when the date/time stamps of the file in the archive is older than the file on disk.

Use folder names

The Use folder names check box determines whether SPac will use folder names stored in the archive. You will probably want to check this option for most extract operations. If this option is checked, any folder names stored in the archive will be appended to the Extract to folder when appropriate. If this option is not checked all files will be extracted to the same folder, regardless of any folder names in the archive.

For example, assuming the Extract to folder is "c:\temp", the file "mydir\filename" will be extracted to the folder "
c:\temp\mydir" if the Use folder names option is checked, or the folder "c:\temp" if the option is not checked.

New Folder...

The New folder button activates the Create Folder dialog box. Note that you can extract files and create a folder without this dialog box: simply type the name of the new folder in the Extract to field of the Extract dialog box and press the Extract button.

When you press the Extract button the specified files will be extracted from the package based on your settings for the above fields.


Text Viewer
The built-in text viewer can be used to view text files in a package and the results of the last operation using the View last output entry in the Options drop-down menu.

viewer

Click on the Copy to Clipboard push button to copy selected text to the system clipboard. If no text is selected all the text is copied to the clipboard.

Note: The viewer is limited to plain ASCII text, just like the Windows Notepad application.


Create Folder Dialog
This dialog box lets you create a folder. This folder becomes a sub-folder of the current folder unless you specify a path.

createfolder


Set Password Dialog
This dialog is displayed when you want to change or set the password used to encrypt the current package. To display this dialog box, select Options/Password from the main menu:

SetPassword

If you have defined any preset passwords (see Password Management), press the button with the ellipsis (...) to select a predefined password. To assign a hint to the package, press the Add Hint button.

If you assign or change the password, the new password will be used to encrypt the entire package.


Options
You can customise various aspects of the program by selecting Options/Configuration from the main menu. The dialog is split into the following pages:

General
Passwords


General
This page of the Options dialog allows you to set general settings to do with screen layout:

ConfigGeneral

You can define which columns are displayed in the list of files by checking the options in the Display Columns box and specify how to display the toolbar buttons by checking the relevant options in the Toolbar box.

When deleting files (e.g. temporary files created when files are viewed, or when adding files with the Move option), you have the option of shredding the files instead of simply deleting them. If you check the Shred files on deletion checkbox, SPac will use a secure deletion algorithm to remove all traces of the file on disk. The passes edit box specifies the number of passes to apply in the shredding routine. The higher the number the more effective the deletion routine will be.


Passwords
SPac has the ability to maintain a record of the passwords used to encrypt and decrypt your packages. For more information on the settings available, see the topic on Password Management.


How SPac Works
SPac combines compression and (optional) encryption in a single package.

Encryption is handled using the very secure BlowFish algorithm with a key length of 448 bits. The password used to encrypt files is not applied directly, but is used as the input value to a hash algorithm (SHA-1) that generates a key value that matches the maximum key length of the BlowFish encryption algorithm.

Compression is based on LZH compression and is comparable in speed and compression to the popular PKZip tool.


Choosing a Password
The password you choose is the most important factor influencing the security of your files. This means that it is absolutely unacceptable to use weak passphrases, i.e. short or easy-to-guess ones. If your passphrase is in the dictionary, you are definitely in jeopardy.

It is highly recommended that you use a long and unusual passphrase containing upper and lower case letters, numbers, spaces, and punctuation marks, preferably something that you can easily remember but that others cannot guess. In other words "Letmein" or "My Name" are bad passphrases, while something like "is 1t TiMe to ch00z someth!ng bet-ter 4 you&me?" is good. It's also a good idea to mix your native language with foreign words and use non-English characters.


.topic 1
SPac is an easy to use, secure, and powerful application for file encryption and sharing. SPac combines both compression and encryption into the one product and utilizes a user-friendly interface to make manipulating your secure archives simple.

In addition to compression and encryption SPac has a unique, we think, feature that makes it simple to protect and share sensitive files. Any SPac package can be converted into a self-extracting archive with a difference. The difference with SPac over similar tools is that the recipient of your package can add, delete, and modify files in the package as well as simply extracting them. This is achieved by embedding a cut-down version of SPac in the package.

This means that your sensitive files need never exist permanently on disk, while still allowing trusted friends and associates the ability to modify them. Once the user has supplied the required password, they can modify the files simply by double-clicking on them, the changes will then be encrypted and stored back in the archive, and the working file will be wiped from disk.

SPac was developed and compiled outside of the USA, has no back doors or escrow keys, and is not subject to US export restrictions. Files are encrypted using the very strong BlowFish (448-bit key) algorithm, and high compression keeps the filesize down.

.topic 2
Please read the following terms and conditions carefully before using this software. Your use of this software indicates your acceptance of this license agreement. If you do not agree with the terms of this license, you must remove this software from your storage devices and cease to use the product.

Copyright

This software is copyright 2013, MCN Software Ltd. SPac is a trademark of MCN Software Ltd. The use and copyright of this software is governed by international copyright treaties. MCN Software Ltd retains full title and rights to this software and documentation and in no way does the license granted in any way diminish the intellectual property rights of MCN Software Ltd. You must not redistribute the registration codes provided, either on paper, electronically, or in any other form.

Evaluation Version

This is not free software. You are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. Using this software after the evaluation period is in violation of copyright laws and may result in severe civil and criminal penalties.

Registered Version

One registered copy of this software may be used by a single person who uses the software personally on one or more computers, or it may be installed on a single workstation used non- simultaneously by more than one person, but not both.

Disclaimer

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT WILL TAMOSOFT INC. BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING INCIDENTAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS.

Governing Law

This Agreement will be governed by the laws of the Scotland.

Distribution

This software may be distributed freely in its original unmodified and unregistered form. The distribution has to include all files of its original distribution. Distributors may not charge any money for it. Anyone distributing this software for any kind of remuneration must first contact us for authorization.

Other Restrictions
You may not modify, reverse engineer, decompile or disassemble this software in any way, including changing or removing any messages or windows.

.topic 3
It is good to know what encrypted packages are before creating them. The files on your disks or the files that you send by e-mail normally have no protection from unauthorized access. They can be opened by whoever gets hold of them. If you use SPac to put your files into encrypted packages, the only way to view your files is to enter the correct password. There are no backdoors in the product so, even if you forget your own password, the information contained in the package cannot be recovered.

The program consists of the main window where the files and folders are displayed, the menu, and the toolbar for performing standard operations.

The color indicator in the right corner of the status bar shows the current status of the program. Normally it is green, but turns red when SPac is busy. In addition, since SPac can also be used as a simple file compressor, secure (encrypted) archives are indicated by the presence of a padlock icon.

Files can be easily added to the package by clicking on the Add button, and the password used for encryption can be set or cleared using the Password button. In addition, the following functions are available through the menu and toolbar:

File Menu

The options on this menu relate to packages.

New		Prompts for a name and creates a new package

Open		Prompts to select an existing package and opens it (after password verification)

Close		Closes the current package

Properties		Displays information about the package, including optional password hint

Move Package	Prompts for a folder and moves the current package to the new folder

Copy Package	Prompts for a folder and copies the current package to the new folder

Rename Package	Prompts for a new name and renames the current package

Delete Package	Deletes the current package from disk

Make .Exe File	Converts the current package into a Self-extracting Package

Mail to		Sends the current package to another user via E-Mail

Exit		Shuts down SPac

Action Menu

The options in this menu relate to the manipulation of files contained in the package.

Add		Displays the Add Files dialog box to allow adding or refreshing of files

Delete		Deletes the currently selected files from the package

Extract		Displays the Extract Files dialog box to allow extraction of files from the package

View		Allows the currently selected file to be extracted for Viewing/Modifying

Select All		Selects all files

Invert Selection	Inverts the current selection

Comments		Allows the addition of comments to the package

File Properties	Displays the properties of the currently selected file.

Options Menu

This menu gives access to configuration options.

Configuration	Gives access to the Options dialog box

Password		Allows the setting or modification of the password used for the current package

Sort		Changes the sort order used for the listed files

View Last Output	Allows access to the report generated for the last major actions

Right-clicking in the programs main window displays a context menu with access to relevant functions from the main menu.

.topic 4
To create a new SPac package, select File/New from the main menu and either select an existing package or type in the name of a new one. If an existing package is selected, you will be prompted before the existing one is overwritten with the new one.

Once you have created your new package, you can add files by selecting Action/Add from the main menu. You will be prompted with the Add Files dialog box to allow you to make your selection and define what to do with the files once they have been added.

At this point, the package will not be encrypted (unless you specified Prompt for new password for new packages in the Options). To securely encrypt the package, select Option/Password from the main menu to display the password definition dialog box.

Note that the password can be changed at any point, and the entire package re-encrypted, simply by selecting Options/Password from the main menu.

You can also add comments to the package by selecting Action/Comments from the main menu. This allows you to describe the contents of the package to other users or explain how to use them.

.topic 5
Self-extracting packages give you the ability to redistribute the contents of your packages without the recipient having to own SPac. Uniquely, SPac allows the recipient to modify the contents of the package and add additional files as well as allowing simple extraction of selected files. Most other similar tools simply force the recipient to extract all the files in the package.

This ability, as well as secure encryption, makes it easy to keep sensitive files secure while allowing trusted associates the ability to modify and return the files without having to own the full version of SPac.

To create a self-extracting package, open an existing package and select File/Make .Exe File from the main menu. If a file with the same name exists you will be prompted before it is overwritten, and SPac will then create the self-extracting package. The new package will have the same name as the one it was created from, but will have a .exe extension.

Note that the self-extracting package will be about 400K bigger than the package it was based on. This is the overhead added to allow modification of the distributed package. It sounds a lot, but we think the overhead is worth it for the added functionality.

.topic 6
To extract files from an SPac package, open the package and enter a valid password (if requested). Select the files you want to extract and select Action/Extract from the main menu. This will display the Extract Files dialog box to allow you to specify the destination for the files and how you want to extract them.

.topic 18
Occasionally you may want to View or Modify a file in the package, either using the associated application, with a specifc application, or using the built-in (text only) viewer. This is easily done using SPac: simply select the file you want to view and select Action/View from the main menu. This displays the following dialog box:

To extract and view the file using its associated application, select Associated application and press the View button.

To extract and view the file using the internal viewer, select Internal ASCII text viewer and press the View button. Note that this is only appropriate for ASCII text files. Other files can be viewed, but what appears in the editor may not be useful.

If you want to open the file with a specific application, select Viewer and choose the application from the history list, or use the button with the ellipsis (...) to select another application. When you press the View button, the file will be extracted and opened by the specified application.

In all cases, the extracted file will be wiped from local storage when the application that opened it is shut down. This maintains the security of the file by making sure that local copies of it are not left lying around on disk.

If you modified the file while it was open, you will be prompted to update the archived version of the file before the on-disk copy is deleted. This is useful for maintaining files that you want to protect. This feature is also included in the self-extracting package, making SPac a secure way of maintaining sensitive files while working as a group.

Simply double-clicking on the file will bypass this dialog box and open the file with the associated application.

.topic 7
If you have E-Mail facilities on your computer, you can send a package to another user via E-Mail. To do this, open the package in SPac and select File/Send to from the main menu. This will display the following dialog box:

Enter the E-Mail address and Display Name for the user you want to mail the package to, and enter the message. If you want to attach other files to the E-Mail, click on Add. When you press OK, the email, with attached files, will be sent to your outbox.

.topic 8
SPac has the ability to maintain a record of the passwords used to encrypt and decrypt your packages. This allows packages encrypted with any of the maintained passwords to be opened without you being prompted for a password.

WARNING - although the passwords are maintained in a securely encrypted file, anyone with access to your machine will be able to open packages protected with any of these passwords.

The passwords are maintained in a file that is encrypted using machine specific information so that the password file cannot be used on other machines.

To maintain your list of passwords, select Options/Configuration/Passwords from the main menu. The following dialog will be displayed:

To delete an existing password from the list, press Delete. To add a new password record, press the Add button. To modify an existing password record, select the password and press Modify. When adding a new password, or modifying an existing password, the following box is displayed:

The Hint field allows you to specify some text that the recipient of the package can see to give them a clue when entering the password when they open the package. If you leave the hint blank, the Hint button will be disabled when the recipient enters the password.

.topic 16
When adding files using the Action/Add menu selection, the following dialog box is displayed:

You can select the files you want to add in several ways:

Click on the desired files in the list near the top of the Add dialog box. You can select multiple files using normal Windows file selection conventions (for example, hold down the Shift key while clicking to select multiple files).  Then press the Add button.

Type the name(s) of the files you want to add.  If you specify multiple filenames, each filename must be enclosed in double quotes.  Then press the Add button.

To add files with wildcards (for example, "*.doc" to add all files with an extension of .doc), type the filename with wildcards in the File name edit field, then press the Add with wildcards button.  Standard wildcards are accepted.

Options

Action

The Action drop down list provides four choices: Add, Freshen, Move, and Update.

The Add option causes SPac to add all specified files to the package.
The Freshen option causes SPac to update files already in the package that match the specified files.
The Update option is the same as Freshen, but adds any specified files that are not already in the archive.
The Move option works the same as Add, except that once the specified files have been added to the archive they are wiped from disk.

Include subfolders

The Include subfolders check box determines whether SPac traverses all folders underneath the specified folder when looking for files to add.  This provides an easy way to backup all files underneath the folder containing the specified file.

Save extra folder info

The Save extra folder info causes SPac to store any folder path information specified in the Add files edit field.

Password

The Password button allows you to change the password used to encrypt the package.  Please be sure to read the information in the section titled Choosing a Password before using passwords. If you specify a new password for the package the entire package, including the files being added, will be encrypted with the new password.

Add with wildcards

The Add with wildcards button adds the files specified in the File name field. (In Windows "wildcards" are the asterisk and question mark characters.  These let you specify multiple files at once, for example, "*.Txt" refers to all files with a file type of "Txt".)

When you press the Add, or Add with wildcards, button the specified files will be added to the package based on your settings for the above fields.

.topic 17
This dialog box is displayed when extracting files from a package. To display this dailog box, select Action/Extract from the main menu:

SPac extracts files from the package to the folder specified in the Extract to field.  You can specify this folder in one of four ways:

Select a folder and drive in the Folders/Drives list.
Type a folder name in the Extract to field.
Pull down the Extract to combo box and select a folder from the list of previous Extract to folders.
Press the New folder... button and create a folder.

Options

Selected files

The Selected files option button instructs SPac to extract only files that are selected in the main SPac window. You can use conventional file selection methods to choose files.

All files

The All files option button instructs SPac to extract all files from the package.

Files

The Files option button and edit field allow you to specify which files are extracted using filenames (standard Windows wildcards are accepted, so you could use "*.xls" to extract all .xls files)

Overwrite existing files

The Overwrite existing files check box determines whether you are prompted before existing files are overwritten with files from the package. If this option is checked, files will be overwritten without a prompt.

Skip older files

The Skip older files check box determines whether SPac skips (does not extract) existing files when the date/time stamps of the file in the archive is older than the file on disk.

Use folder names

The Use folder names check box determines whether SPac will use folder names stored in the archive.  You will probably want to check this option for most extract operations.  If this option is checked, any folder names stored in the archive will be appended to the Extract to folder when appropriate.  If this option is not checked all files will be extracted to the same folder, regardless of any folder names in the archive.

For example, assuming the Extract to folder is "c:\temp", the file "mydir\filename" will be extracted to the folder "
c:\temp\mydir" if the Use folder names option is checked, or the folder "c:\temp" if the option is not checked.

New Folder...

The New folder button activates the Create Folder dialog box.  Note that you can extract files and create a folder without this dialog box: simply type the name of the new folder in the Extract to field of the Extract dialog box and press the Extract button.

When you press the Extract button the specified files will be extracted from the package based on your settings for the above fields.

.topic 19
The built-in text viewer can be used to view text files in a package and the results of the last operation using the View last output entry in the Options drop-down menu.

Click on the Copy to Clipboard push button to copy selected text to the system clipboard. If no text is selected all the text is copied to the clipboard.

Note: The viewer is limited to plain ASCII text, just like the Windows Notepad application.

.topic 20
This dialog box lets you create a folder.  This folder becomes a sub-folder of the current folder unless you specify a path.

.topic 21
This dialog is displayed when you want to change or set the password used to encrypt the current package. To display this dialog box, select Options/Password from the main menu:

If you have defined any preset passwords (see Password Management), press the button with the ellipsis (...) to select a predefined password. To assign a hint to the package, press the Add Hint button.

If you assign or change the password, the new password will be used to encrypt the entire package.

.topic 9
You can customise various aspects of the program by selecting Options/Configuration from the main menu. The dialog is split into the following pages:

General
Passwords

.topic 11
This page of the Options dialog allows you to set general settings to do with screen layout:

You can define which columns are displayed in the list of files by checking the options in the Display Columns box and specify how to display the toolbar buttons by checking the relevant options in the Toolbar box.

When deleting files (e.g. temporary files created when files are viewed, or when adding files with the Move option), you have the option of shredding the files instead of simply deleting them. If you check the Shred files on deletion checkbox, SPac will use a secure deletion algorithm to remove all traces of the file on disk. The passes edit box specifies the number of passes to apply in the shredding routine. The higher the number the more effective the deletion routine will be.

.topic 10
SPac has the ability to maintain a record of the passwords used to encrypt and decrypt your packages. For more information on the settings available, see the topic on Password Management.

.topic 14
SPac combines compression and (optional) encryption in a single package.

Encryption is handled using the very secure BlowFish algorithm with a key length of 448 bits. The password used to encrypt files is not applied directly, but is used as the input value to a hash algorithm (SHA-1) that generates a key value that matches the maximum key length of the BlowFish encryption algorithm.

Compression is based on LZH compression and is comparable in speed and compression to the popular PKZip tool.

.topic 15
The password you choose is the most important factor influencing the security of your files. This means that it is absolutely unacceptable to use weak passphrases, i.e. short or easy-to-guess ones. If your passphrase is in the dictionary, you are definitely in jeopardy.

It is highly recommended that you use a long and unusual passphrase containing upper and lower case letters, numbers, spaces, and punctuation marks, preferably something that you can easily remember but that others cannot guess. In other words "Letmein" or "My Name" are bad passphrases, while something like "is 1t TiMe to ch00z someth!ng bet-ter 4 you&me?" is good. It's also a good idea to mix your native language with foreign words and use non-English characters.